| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ZoeppritzCoeff Class Reference
Algo

Zoeppritz Coefficients. More...

`#include <zoeppritzcoeff.h>`

## Public Member Functions
| ZoeppritzCoeff ()
| ~ZoeppritzCoeff ()
float_complex | getCoeff (bool down_in, bool down_out, bool p_in, bool p_out) const
void | setInterface (float p, const ElasticLayer &el_layer1, const ElasticLayer &el_layer2)

## Protected Attributes
float_complex | pdn_pdn_ = float_complex( 0.f, 0.f )
float_complex | pdn_pup_ = float_complex( 0.f, 0.f )
float_complex | pdn_sdn_ = float_complex( 0.f, 0.f )
float_complex | pdn_sup_ = float_complex( 0.f, 0.f )
float_complex | pup_pdn_ = float_complex( 0.f, 0.f )
float_complex | pup_pup_ = float_complex( 0.f, 0.f )
float_complex | pup_sdn_ = float_complex( 0.f, 0.f )
float_complex | pup_sup_ = float_complex( 0.f, 0.f )
float_complex | sdn_pdn_ = float_complex( 0.f, 0.f )
float_complex | sdn_pup_ = float_complex( 0.f, 0.f )
float_complex | sdn_sdn_ = float_complex( 0.f, 0.f )
float_complex | sdn_sup_ = float_complex( 0.f, 0.f )
float_complex | sup_pdn_ = float_complex( 0.f, 0.f )
float_complex | sup_pup_ = float_complex( 0.f, 0.f )
float_complex | sup_sdn_ = float_complex( 0.f, 0.f )
float_complex | sup_sup_ = float_complex( 0.f, 0.f )

## Detailed Description

Zoeppritz Coefficients.

<>

## Constructor & Destructor Documentation

## ◆ ZoeppritzCoeff()

ZoeppritzCoeff::ZoeppritzCoeff | ( |  | ) |

## ◆ ~ZoeppritzCoeff()

ZoeppritzCoeff::~ZoeppritzCoeff | ( |  | ) |

## Member Function Documentation

## ◆ getCoeff()

float_complex ZoeppritzCoeff::getCoeff | ( | bool | down_in,
|  | bool | down_out,
|  | bool | p_in,
|  | bool | p_out ) const

## ◆ setInterface()

void ZoeppritzCoeff::setInterface | ( | float | p,
|  | const ElasticLayer & | el_layer1,
|  | const ElasticLayer & | el_layer2 )

## Member Data Documentation

## ◆ pdn_pdn_

float_complex ZoeppritzCoeff::pdn_pdn_ = float_complex( 0.f, 0.f )
| protected

## ◆ pdn_pup_

float_complex ZoeppritzCoeff::pdn_pup_ = float_complex( 0.f, 0.f )
| protected

## ◆ pdn_sdn_

float_complex ZoeppritzCoeff::pdn_sdn_ = float_complex( 0.f, 0.f )
| protected

## ◆ pdn_sup_

float_complex ZoeppritzCoeff::pdn_sup_ = float_complex( 0.f, 0.f )
| protected

## ◆ pup_pdn_

float_complex ZoeppritzCoeff::pup_pdn_ = float_complex( 0.f, 0.f )
| protected

## ◆ pup_pup_

float_complex ZoeppritzCoeff::pup_pup_ = float_complex( 0.f, 0.f )
| protected

## ◆ pup_sdn_

float_complex ZoeppritzCoeff::pup_sdn_ = float_complex( 0.f, 0.f )
| protected

## ◆ pup_sup_

float_complex ZoeppritzCoeff::pup_sup_ = float_complex( 0.f, 0.f )
| protected

## ◆ sdn_pdn_

float_complex ZoeppritzCoeff::sdn_pdn_ = float_complex( 0.f, 0.f )
| protected

## ◆ sdn_pup_

float_complex ZoeppritzCoeff::sdn_pup_ = float_complex( 0.f, 0.f )
| protected

## ◆ sdn_sdn_

float_complex ZoeppritzCoeff::sdn_sdn_ = float_complex( 0.f, 0.f )
| protected

## ◆ sdn_sup_

float_complex ZoeppritzCoeff::sdn_sup_ = float_complex( 0.f, 0.f )
| protected

## ◆ sup_pdn_

float_complex ZoeppritzCoeff::sup_pdn_ = float_complex( 0.f, 0.f )
| protected

## ◆ sup_pup_

float_complex ZoeppritzCoeff::sup_pup_ = float_complex( 0.f, 0.f )
| protected

## ◆ sup_sdn_

float_complex ZoeppritzCoeff::sup_sdn_ = float_complex( 0.f, 0.f )
| protected

## ◆ sup_sup_

float_complex ZoeppritzCoeff::sup_sup_ = float_complex( 0.f, 0.f )
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025